/**
 * Copyright 2019 DH
 * All right reserved.
 * 项目名称: 大恒泰山系统
 * 创建日期:2023/10/13
 */
package org.ts.ddcs.dataStream;

import com.alibaba.fastjson.JSONObject;
import org.ts.ddcs.enums.SwElementCodeEnum;
import org.ts.ddcs.common.metadata.ElementDataMetadataEnum;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;
import java.util.Map;

/***
 * Date:2023/10/13
 * Title:文件所属模块（必须填写）
 * Description：对本文件的详细描述，原则上不能少于30字
 * @author dylan
 * @version 1.0
 * Remark：认为有必要的其他信息
 */
public class DatagramHelp {
    public static Date getCollectTime(Map<String, List<JSONObject>> keyStore) throws ParseException {
        List<JSONObject> objs = keyStore.get(SwElementCodeEnum.CODE_TT.getCode());
        String tm = objs.get(0).getString(ElementDataMetadataEnum.ELEMENT_METADATA_VALUE.getName());
        SimpleDateFormat strToDateSdf = new SimpleDateFormat("yyyyMMddHHmmss");
        return strToDateSdf.parse(tm);
    }

    public static Double getDoubleValue(Map<String, List<JSONObject>> keyStore, String key) {
        List<JSONObject> objs = keyStore.get(key);
        if (null != objs&&objs.size()>0) {
            String value = objs.get(0).getString(ElementDataMetadataEnum.ELEMENT_METADATA_VALUE.getName());
            return Double.valueOf(value);
        }
        return null;
    }

    public static Long getLongValue(Map<String, List<JSONObject>> keyStore, String key) {
        List<JSONObject> objs = keyStore.get(key);
        if (null != objs&&objs.size()>0){
            String value = objs.get(0).getString(ElementDataMetadataEnum.ELEMENT_METADATA_VALUE.getName());
            return Long.valueOf(value);
        }
        return null;
    }
}
